<?php
/**
* 404 Page Settings.
*
* @package Modern Art Gallery
*/

$modern_art_gallery_default = modern_art_gallery_get_default_theme_options();

$wp_customize->add_section( 'modern_art_gallery_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'modern-art-gallery' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'modern_art_gallery_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'modern_art_gallery_404_main_title',
    array(
        'default'           => $modern_art_gallery_default['modern_art_gallery_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'modern_art_gallery_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'modern-art-gallery' ),
        'section'  => 'modern_art_gallery_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'modern_art_gallery_404_subtitle_one',
    array(
        'default'           => $modern_art_gallery_default['modern_art_gallery_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'modern_art_gallery_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'modern-art-gallery' ),
        'section'  => 'modern_art_gallery_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'modern_art_gallery_404_para_one',
    array(
        'default'           => $modern_art_gallery_default['modern_art_gallery_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'modern_art_gallery_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'modern-art-gallery' ),
        'section'  => 'modern_art_gallery_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'modern_art_gallery_404_subtitle_two',
    array(
        'default'           => $modern_art_gallery_default['modern_art_gallery_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'modern_art_gallery_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'modern-art-gallery' ),
        'section'  => 'modern_art_gallery_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'modern_art_gallery_404_para_two',
    array(
        'default'           => $modern_art_gallery_default['modern_art_gallery_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'modern_art_gallery_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'modern-art-gallery' ),
        'section'  => 'modern_art_gallery_404_page_settings',
        'type'     => 'text',
    )
);